Bug 14379 - Can not be build on i686
Summary: Can not be build on i686
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: compat-egcs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-21 15:46 UTC by Enrico Scholz
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 18:49:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enables build on %{ix86} archs (1.84 KB, patch)
2000-07-21 15:47 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2000-07-21 15:46:49 UTC
the compat-egcs spec-files doesn't accepts building if target==i686.

Comment 1 Enrico Scholz 2000-07-21 15:47:39 UTC
Created attachment 1407 [details]
enables build on %{ix86} archs

Comment 2 Jakub Jelinek 2000-08-02 20:21:46 UTC
Should be fixed in compat-egcs-6.2-1.1.2.9

Comment 3 Enrico Scholz 2000-08-23 10:35:06 UTC
$ rpm --rebuild compat-egcs-6.2-1.1.2.9.src.rpm
...
Processing files: compat-egcs-g77-6.2-1.1.2.9
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
File not found: /var/tmp/egcs-1.1.2-root/usr/lib/libstdc++.so.2.8.0
File not found: /var/tmp/egcs-1.1.2-root/usr/lib/libstdc++.so.2.7.2.8
File not found: /var/tmp/egcs-1.1.2-root/usr/lib/libg++.so.2.7.2.8
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1


I am suggesting in compat-egcs.spec:

-----------------
mkdir compat
tar xzf %{SOURCE1} -C compat
cd gcc ; autoconf ; cd ..

+cd compat
+for i in %{ix86}; do test -f $i || ln -s i386 $i; done
+cd ..

cd egcs-19980906
----------------

Comment 4 Enrico Scholz 2000-08-23 11:09:10 UTC
Please use `test -e' instead of `test -f' or the variant in attachment 1407 [details]:

| for i in %{ix86}; do [ -e compat/$i ] || ln -s i386 compat/$i; done

Comment 5 Jakub Jelinek 2004-10-02 18:49:49 UTC
compat-egcs doesn't exist any longer.


Note You need to log in before you can comment on or make changes to this bug.